> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scrapebadger.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Subreddit

> Get full metadata for a subreddit — subscribers, description, rules, banner, theme.



## OpenAPI

````yaml GET /v1/reddit/subreddits/{subreddit}
openapi: 3.1.0
info:
  title: ScrapeBadger Reddit API
  version: 1.0.0
  description: >-
    Reddit scraping API for posts, comments, subreddits, users, search, and wiki
    content.
servers:
  - url: https://scrapebadger.com
    description: Production
security:
  - apiKeyAuth: []
paths:
  /v1/reddit/subreddits/{subreddit}:
    get:
      summary: Get subreddit info
      description: Get detailed information about a subreddit.
      operationId: get_subreddit_v1_reddit_subreddits__subreddit__get
      parameters:
        - name: subreddit
          in: path
          required: true
          schema:
            type: string
            title: Subreddit
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                title: Response Get Subreddit V1 Reddit Subreddits  Subreddit  Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: ScrapeBadger API key

````